import { StyleSheet } from 'react-native'
import { windowHeight, windowWidth } from '../../theme/appConstant'
import appColors from '../../theme/appColors'
import appFonts from '../../theme/appFonts'

const styles = StyleSheet.create({
  itemStyle: {
    fontFamily: appFonts.regular,
    width: windowWidth(53)
  },
  dashedLine: {
    height: windowHeight(1.9),
    width: '130%',
    borderBottomWidth: windowHeight(0.2),
    borderColor: appColors.border,
    marginVertical: windowHeight(1.3),
    marginBottom: windowHeight(0.3),
    marginTop: 0
  },
  pickUpLocationStyles: {
    fontFamily: appFonts.regular,
    marginTop: windowHeight(1.9),
    width: windowWidth(55),
  },
  addressContainer: {
    marginTop: windowHeight(-1),
    marginBottom: windowHeight(0.5),
  },
  icon: {
    borderStyle: 'dotted',
    height: windowHeight(1.5),
    borderLeftWidth: windowHeight(0.2),
    marginHorizontal: windowHeight(2.7),
    borderLeftColor: appColors.primary,
  },
  locationContainer: {
    flexDirection: 'column',
    marginHorizontal: windowHeight(1.5),
    marginTop: windowHeight(1),
  },
  locationText: {
    paddingVertical: windowHeight(2.5),
    marginHorizontal: windowHeight(0.1),
  },
  round: {
    height: windowHeight(5.5),
    width: windowHeight(5.5),
    borderRadius: windowHeight(5.5),
    alignItems: 'center',
    justifyContent: 'center',
    borderWidth: windowWidth(0.45),
  },
})
export { styles }
